Bug 138064 - CAN-2004-0942 Memory consumption DoS
CAN-2004-0942 Memory consumption DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: httpd (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
public=20041101,impact=important
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-04 06:41 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-12 11:38:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-11-04 06:41:57 EST
An issue was discovered where the field length limit was not enforced
for certain malicious requests. This could allow a remote attacker who
is able to send large amounts of data to a server the ability to cause
Apache children to consume proportional amounts of memory, leading to
a denial of service.

Affects: 2.0.52, 2.0.51, 2.0.50, 2.0.49, 2.0.48, 2.0.47, 2.0.46,
2.0.45, 2.0.44, 2.0.43, 2.0.42, 2.0.40, 2.0.39, 2.0.37, 2.0.36, 2.0.35

Proposed patch;

http://marc.theaimsgroup.com/?l=apache-httpd-dev&m=109932823014967&w=2

Public since Nov01
Comment 1 Josh Bressers 2004-11-12 11:38:53 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-562.html

Note You need to log in before you can comment on or make changes to this bug.